//------------------------------------------------------------------
#property copyright "mladen"
#property link      "mladenfx@gmail.com"
//------------------------------------------------------------------
#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 LimeGreen
#property indicator_color2 Orange
#property indicator_width1 2
#property indicator_width2 2

//
//
//
//
//

extern int       MA1Period=21;
extern int       MA1Method=MODE_EMA;
extern int       MA1Price =PRICE_CLOSE;
extern int       MA2Period=8;
extern int       MA2Method=MODE_EMA;
extern int       Shift=0;

double buffer1[];
double buffer2[];

//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
//
//
//
//
//

int init()
{
   SetIndexBuffer(0,buffer1); SetIndexShift(0,Shift);
   SetIndexBuffer(1,buffer2); SetIndexShift(1,Shift);
   return(0);
}
int deinit()
{
   return(0);
}

//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
//
//
//
//
//

int start()
{
   int counted_bars=IndicatorCounted();
      if(counted_bars<0) return(-1);
      if(counted_bars>0) counted_bars--;
           int limit=MathMin(Bars-counted_bars,Bars-1);

   //
   //
   //
   //
   //

   for(int i=limit; i>=0; i--) buffer1[i] = iMA(NULL,0,MA1Period,0,MA1Method,MA1Price,i);
   for(    i=limit; i>=0; i--) buffer2[i] = iMAOnArray(buffer1,0,MA2Period,0,MA2Method,i);
   return(0);
}